Skip to main content
PATCH
/
account
/
{account_id}
Update an account
curl --request PATCH \
  --url https://external.nectarclimate.com/v2/account/{account_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "isTracked": true,
  "updateMeters": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "meters": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "isTracked": true,
  "isDuplicated": "<string>",
  "accountNumber": "<string>",
  "trackingStatus": "ENABLED",
  "dataCollectionStartDate": "2023-12-25",
  "isCollectingInvoiceData": true,
  "isCollectingSmartMeterData": true,
  "datasourceTypes": [
    "<string>"
  ],
  "lastServiceDate": "2023-12-25"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

account_id
string
required

Body

Serializer for updating existing accounts.

Only allows updating the legacy boolean isTracked for external writes.

isTracked
boolean

Indicates whether this account is currently being tracked by Nectar.

updateMeters
boolean
default:true

Indicates whether to update the tracking status of the account's meters along with the account status. Defaults to true.

Response

Serializer for externally available fields of an Account object.

id
string<uuid>
required

UUID of the account.

meters
string<uuid>[]
required

UUID of the meter site usage data entry.

isTracked
boolean
required

Deprecated boolean alias. UNSET is treated as True for backward compatibility.

isDuplicated
string
required
accountNumber
string

The actual account number. For utilities without account numbers, leave blank.

Maximum string length: 200
trackingStatus
enum<string>

Indicates whether tracking is enabled, disabled, or unset for this account.

  • ENABLED - Enabled
  • DISABLED - Disabled
  • UNSET - Unset
Available options:
ENABLED,
DISABLED,
UNSET
dataCollectionStartDate
string<date> | null

Date when data collection for the account begins. This is the date from which Nectar will pull historical data. This field overrides the site, company, and connection level dataCollectionStartDate fields.

isCollectingInvoiceData
boolean

Indicates whether this account is collecting invoice data. If True, Nectar will collect invoice data with a maximum granularity of weekly intervals.

isCollectingSmartMeterData
boolean

Indicates whether this account is smart metered. If True, Nectar will collect metered data with a maximum granularity of daily intervals.

datasourceTypes
string[]

List of unique datasource types for all meters associated with the account.

lastServiceDate
string<date> | null

The date when the account was closed by the utility (the end date of the last meter reading).